Name: vile
Version: 9.1
Release: 6
Group: Applications/Editors
Copyright: BeerWare :-) (see COPYING)/distributable
URL: ftp://ftp.clark.net/pub/dickey/vile
Source0: vile.tar.gz
Source1: vile.wmconfig
Source2: xvile.wmconfig
Summary: A text editor similar to vi with Emacs' multiple buffers and windows.
BuildRoot: /var/tmp/vile-build

%description
Vile (vi like Emacs) is a text editor which is extremely similar to vi
in terms of commonly used keyboard commands.  Vile isn't vi, however;
many things are missing and the screen doesn't look the same. Vile
includes the multiple buffer and multiple window features found in
Emacs and other editors. In addition, it has extended capabilities in
many areas, including key rebinding and real X Window System support.

%prep
%setup -q -n vile-%{version}

%build
EXTRA_CFLAGS="$RPM_OPT_FLAGS" INSTALL_PROGRAM='${INSTALL} -s' ./configure --with-screen=x11 --with-xpm --prefix=/usr
make
EXTRA_CFLAGS="$RPM_OPT_FLAGS" INSTALL_PROGRAM='${INSTALL} -s' ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
(cd $RPM_BUILD_ROOT
	mkdir -p usr/X11R6
	cd usr/X11R6
	ln -sf $RPM_BUILD_ROOT/usr/share/man man
	cd $RPM_BUILD_ROOT/usr/
	ln -sf $RPM_BUILD_ROOT/usr/share/man man
)

make prefix=$RPM_BUILD_ROOT/usr install
./mkdirs.sh $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m 755 xvile $RPM_BUILD_ROOT/usr/X11R6/bin/xvile
./mkdirs.sh $RPM_BUILD_ROOT/usr/X11R6/share/man/man1
install -m 644 vile.1 $RPM_BUILD_ROOT/usr/X11R6/share/man/man1/xvile.1

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications/

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/xvile.desktop <<EOF
[Desktop Entry]
Name=xvile
Type=Application
Description=xvile
Exec=xvile
EOF

mv $RPM_BUILD_ROOT/usr/share/vile/*.rc macros

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES*
%doc COPYING INSTALL MANIFEST README*
%doc doc/*
%doc macros
%config /etc/X11/applnk/Applications/xvile.desktop
/usr/bin/vile
/usr/X11R6/bin/xvile
/usr/share/vile
/usr/lib/vile
/usr/share/man/*/*

%changelog
* Fri Aug 4 2000 Tim Powers <timp@redhat.com>
- fixed bug #15071

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- update to 9.1
- use applnk instead
- put man pages in correct location

* Tue Nov 30 1999 Tim Powers <timp@redhat.com>
- updated to 9.0
- gzip man pages

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- cleaned up %files section, added %defattr
- made buildroot /var/tmp instead of /tmp
- rebuilt for Powertools

* Tue Apr 27 1999 Jeff Morriss <bugs@pobox.com>
- Added support for color icons in xvile
- Some general RPM cleanups
- Added macros to documentation
- Upgraded to 8.3

* Wed Nov 18 1998 Jeff Morriss <bugs@pobox.com>
- Modifications for RHCN: buildroot, %attr, etc

* Sat Oct 3 1998 Jeff Morriss <morriss@pobox.com>
- Upgraded to 8.1

* Thu Sep 19 1998 Jeff Morriss <morriss@pobox.com>
- Added wmconfig files
- Started keeping changelog :)
